org.apache.lucene.analysis.hunspell

## Class HunspellStemFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.hunspell.HunspellStemFilter

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class HunspellStemFilter
    extends TokenFilter

TokenFilter that uses hunspell affix rules and words to stem tokens. Since hunspell supports a word having multiple stems, this filter can emit multiple tokens for each consumed token

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.TokenFilter

`input`

### Constructor Summary

Constructors
Constructor and Description
`HunspellStemFilter(TokenStream input, HunspellDictionary dictionary)` Creates a new HunspellStemFilter that will stem tokens from the given TokenStream using affix rules in the provided HunspellDictionary
`HunspellStemFilter(TokenStream input, HunspellDictionary dictionary, boolean dedup)` Creates a new HunspellStemFilter that will stem tokens from the given TokenStream using affix rules in the provided HunspellDictionary

### Method Summary

Methods
`boolean` `incrementToken()`
`void` `reset()`

### Methods inherited from class org.apache.lucene.analysis.TokenFilter

`close, end`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HunspellStemFilter

    public HunspellStemFilter(TokenStream input,
                      HunspellDictionary dictionary)

Creates a new HunspellStemFilter that will stem tokens from the given TokenStream using affix rules in the provided HunspellDictionary

Parameters:
  `input` - TokenStream whose tokens will be stemmed
  `dictionary` - HunspellDictionary containing the affix rules and words that will be used to stem the tokens

#### HunspellStemFilter

    public HunspellStemFilter(TokenStream input,
                      HunspellDictionary dictionary,
                      boolean dedup)

Creates a new HunspellStemFilter that will stem tokens from the given TokenStream using affix rules in the provided HunspellDictionary

Parameters:
  `input` - TokenStream whose tokens will be stemmed
  `dictionary` - HunspellDictionary containing the affix rules and words that will be used to stem the tokens
  `dedup` - true if only unique terms should be output.

### Method Detail

#### incrementToken

    public boolean incrementToken()
                           throws IOException

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`

#### reset

    public void reset()
               throws IOException

Overrides:
  `reset` in class `TokenFilter`
Throws:
  `IOException`